Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class ProductsCredit
    Inherits BaseObject 'Termékcsoporthoz adott hitelkeret
    Private _ShortName As String
    Private _CurrencyName As CurrencyName
    Private _AmountHUF As Double
    Private _AmountDEV As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property

    <Association("ProductsCredit-ProductsCreditProducts", GetType(ProductsCreditProducts))> _
    <VisibleInListView(False), VisibleInLookupListView(False)> _
    ReadOnly Property ProductsCreditProducts As XPCollection(Of ProductsCreditProducts)
        Get
            Return GetCollection(Of ProductsCreditProducts)("ProductsCreditProducts")
        End Get
    End Property
    <Association("ProductsCredit-ProductsCreditGroups", GetType(ProductsCreditGroups))> _
        <VisibleInListView(False), VisibleInLookupListView(False)> _
    ReadOnly Property ProductsCreditGroups As XPCollection(Of ProductsCreditGroups)
        Get
            Return GetCollection(Of ProductsCreditGroups)("ProductsCreditGroups")
        End Get
    End Property
End Class
